> ## Documentation Index
> Fetch the complete documentation index at: https://docs.haiqu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Artifacts

> List the artifacts logged to an experiment.

Every entry in ``experiment.metrics`` is exposed as an artifact, including
its inferred type and data.

Args:
    experiment_id (str): ID of the parent experiment.
    user (User): User authenticated with api key.
    db (Session): Database session.
    limit (int): Limit the number of the artifacts returned.

Returns:
    list: List of ArtifactModel objects.



## OpenAPI

````yaml https://api.haiqu.ai/openapi.json get /experiments/{experiment_id}/artifacts
openapi: 3.1.0
info:
  title: Haiqu API
  summary: Haiqu RESTful API service.
  description: Cloud service providing the access to Haiqu cloud runtime
  contact:
    name: Haiqu Inc.
    url: https://haiqu.ai/
    email: info@haiqu.ai
  version: 1.3.0
servers: []
security: []
paths:
  /experiments/{experiment_id}/artifacts:
    get:
      summary: List Artifacts
      description: >-
        List the artifacts logged to an experiment.


        Every entry in ``experiment.metrics`` is exposed as an artifact,
        including

        its inferred type and data.


        Args:
            experiment_id (str): ID of the parent experiment.
            user (User): User authenticated with api key.
            db (Session): Database session.
            limit (int): Limit the number of the artifacts returned.

        Returns:
            list: List of ArtifactModel objects.
      operationId: list_artifacts_experiments__experiment_id__artifacts_get
      parameters:
        - name: experiment_id
          in: path
          required: true
          schema:
            type: string
            title: Experiment Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 10
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ArtifactModel'
                title: >-
                  Response List Artifacts Experiments  Experiment Id  Artifacts
                  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyQuery: []
        - APIKeyHeader: []
components:
  schemas:
    ArtifactModel:
      properties:
        name:
          type: string
          title: Name
        artifact_type:
          type: string
          title: Artifact Type
        artifact_data:
          anyOf:
            - {}
            - type: 'null'
          title: Artifact Data
        creation_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Creation Date
        last_updated:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Updated
      type: object
      required:
        - name
        - artifact_type
      title: ArtifactModel
      description: Artifact model.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyQuery:
      type: apiKey
      in: query
      name: HAIQU_API_KEY
    APIKeyHeader:
      type: apiKey
      in: header
      name: authorization

````